Name:		x11-driver-input-keyboard
Version:	1.6.2
Release:	2
Summary:	Xorg input driver for keyboards
Group:		System/X11
License:	MIT
URL:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-keyboard-%{version}.tar.bz2

BuildRequires:	x11-proto-devel >= 1.4
BuildRequires:	x11-server-devel >= 1.12
BuildRequires:	x11-util-macros >= 1.0.1
Conflicts:	x11-server < 1.4

Requires:	x11-server-common %(xserver-sdk-abi-requires xinput)

%description
This package provide Xorg input driver for keyboards.  The "keyboard" driver is
the standard OS-provided keyboard interface.  It is is built-in to the core X
server, and multiple instances are not supported. A loadable driver, kbd, is
available, and is planned to replace the keyboard driver in a future release of
the Xorg server.

%prep
%setup -qn xf86-input-keyboard-%{version}

%build
%configure2_5x
%make

%install
%makeinstall_std

%files
%{_libdir}/xorg/modules/input/kbd_drv.so
%{_mandir}/man4/kbd.*


%changelog
* Wed Oct 03 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.6.2-2
+ Revision: 818246
- cleanups

  + Bernhard Rosenkraenzer <bero@bero.eu>
    - Rebuild for xorg server 1.13

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - rebuild for x11-server-1.13.0

* Tue Jul 24 2012 Bernhard Rosenkraenzer <bero@bero.eu> 1.6.2-1
+ Revision: 810881
- Update to 1.6.2

* Tue Mar 27 2012 Bernhard Rosenkraenzer <bero@bero.eu> 1.6.1-2
+ Revision: 787164
- Rebuild with x11-server 1.12

* Fri Jan 06 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.1-1
+ Revision: 758012
- update to new version 1.6.1

* Fri Dec 30 2011 Matthew Dawkins <mattydaw@mandriva.org> 1.6.0-3
+ Revision: 748303
- rebuild, cleaned up spec

* Sat Oct 08 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.0-2
+ Revision: 703620
- rebuild for new x11-server

* Thu Jun 09 2011 Eugeni Dodonov <eugeni@mandriva.com> 1.6.0-1
+ Revision: 683597
- New version 1.6.0.

* Thu Jun 09 2011 Eugeni Dodonov <eugeni@mandriva.com> 1.5.99.901-3
+ Revision: 683549
- Rebuild for new x11-server

* Sat May 07 2011 Oden Eriksson <oeriksson@mandriva.com> 1.5.99.901-2
+ Revision: 671127
- mass rebuild

  + Paulo Ricardo Zanoni <pzanoni@mandriva.com>
    - New version: 1.5.99.901
      It's the only version that compiles under Xserver 1.10

* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 1.5.0-2mdv2011.0
+ Revision: 595747
- require xorg server with proper ABI

* Tue Nov 02 2010 Thierry Vignaud <tv@mandriva.org> 1.5.0-1mdv2011.0
+ Revision: 591816
- new release

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 1.4.0-3mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Tue Nov 10 2009 Thierry Vignaud <tv@mandriva.org> 1.4.0-2mdv2010.1
+ Revision: 464329
- rebuild for new xserver

* Mon Nov 09 2009 Thierry Vignaud <tv@mandriva.org> 1.4.0-1mdv2010.1
+ Revision: 463593
- new release

* Wed Jan 07 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.3.2-1mdv2009.1
+ Revision: 326758
- New version
- Fix compilation with x server 1.6

  + Colin Guthrie <cguthrie@mandriva.org>
    - Rebuild for new xserver

* Sat Nov 29 2008 Colin Guthrie <cguthrie@mandriva.org> 1.3.1-3mdv2009.1
+ Revision: 308024
- Remove the SAVE_CONTEXT patch as the xserver (currently) no longer supports this

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.3.1-2mdv2009.0
+ Revision: 265866
- rebuild early 2009.0 package (before pixel changes)

* Tue May 27 2008 Colin Guthrie <cguthrie@mandriva.org> 1.3.1-1mdv2009.0
+ Revision: 211780
- New version

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.3.0-1mdv2009.0
+ Revision: 194291
- Update to version 1.3.0.

* Mon Feb 11 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.2.2-10mdv2008.1
+ Revision: 165431
- Add an alternate code to handle "inheriting" console leds state.
  This should work properly when the numlock service is on and when it is off.

* Fri Feb 08 2008 Olivier Blin <blino@mandriva.org> 1.2.2-8mdv2008.1
+ Revision: 164142
- rebuild for latest x11-server (#37594)

* Wed Jan 30 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.2.2-7mdv2008.1
+ Revision: 160486
- Revert to use only upstream tarballs and only mandatory patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.2.2-6mdv2008.1
+ Revision: 156581
- re-enable rpm debug packages support

* Mon Jan 21 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.2.2-5mdv2008.1
+ Revision: 155644
- Remove branch mandriva+gpl. Only non mandatory, new files, should be
  licensed under GPL for now. So, use only mandriva+custom branch for
  mandriva only patches.
  git-cherry-pick 994178e54aef2fa0ba8d11e0a9a7b817279635df, this should
  fix http://qa.mandriva.com/show_bug.cgi?id=36893 as it ensure X Server
  state matches kernel state regarding to keyboard leds.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Update to properly use existing tag xf86-input-keyboard-1.2.2 for generation
  of tarball.
  Note that there are changes from xf86-input-keyboard-1.2.2 to mandriva-branch,
  but since they are only documentation updates and Solaris bug fixes, the
  mandriva branch is kept at a later point from xf86-input-keyboard-1.2.2, and
  just regenerating patches.
  Optionally, the mandriva branch could be set at xf86-input-keyboard-1.2.2 and
  cherry-pick the newer patches, but the end patch would be basically the same,
  so this kind or changes should be done later, to push clear bug fixes to
  mandriva branches.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 28 2007 Paulo Andrade <pcpa@mandriva.com.br> 1.2.2-4mdv2008.1
+ Revision: 113704
- Handle Alt & Control state differently in the save-context patch to avoid
  problems when vt switching.
- More complete check for extra conditions where Ctrl+Alt+Backspace behaviour
  maybe have changed with save context patch.

* Mon Oct 22 2007 Paulo Andrade <pcpa@mandriva.com.br> 1.2.2-3mdv2008.1
+ Revision: 101192
- Build fix
- Check if killing grabs is allowed, i.e. if a screenlocker is running, then
  kill the server and not the client if Ctrl+Alt+Backspace is pressed.
- Update build requires to make sure proper x11-server-devel is already
  installed. Build should not fail if not installed, but would not compile
  with the proper flags.
- Update keyboard driver to match X server patch.
  Note that keyboard needs to be rebuilt after /usr/include/xorg/xorg-server.h
  is updated, to get the proper #define's.

* Thu Oct 11 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.2.2-2mdv2008.1
+ Revision: 97208
- new upstream version: 1.2.2
  (requires x11-server 1.4 to build)
- remove leds_status.patch (already upstream)
- minor spec cleanup

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages


* Wed Feb 14 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.1.1-1mdv2007.0
+ Revision: 120837
- 1.2.0 is not intended to be used in xserver 1.2.0, so rolling back to 1.1.1
- add a patch fixing the led status not being correctly updated (#13211)
- rebuild to fix cooker uploading
- Updated drivers for X11R7.1
- increment release
- Adding X.org 7.0 to the repository

  + Thierry Vignaud <tvignaud@mandriva.com>
    - use right tarbarll
    - new release
    - killing old sources
    - fix group
    - fill in more missing descriptions

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

